# `mlpack_jll.jl` (v3.3.2+1)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl). The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/c3e14456872f8f269e4df8d86daace7ff40c4090/M/mlpack/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://juliapackaging.github.io/BinaryBuilder.jl/dev/jll/).

## Sources

The tarballs for `mlpack_jll.jl` have been built from these sources:

* compressed archive: https://www.mlpack.org/files/mlpack-3.3.2.tar.gz (SHA256 checksum: `11904a39a7e34ee66028292fd054afb460eacd07ec5e6c63789aba117e4d854c`)

## Platforms

`mlpack_jll.jl` is available for the following platforms:

* `Linux(:aarch64, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`aarch64-linux-gnu-cxx03`)
* `Linux(:aarch64, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`aarch64-linux-gnu-cxx11`)
* `Linux(:aarch64, libc=:musl, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`aarch64-linux-musl-cxx03`)
* `Linux(:aarch64, libc=:musl, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`aarch64-linux-musl-cxx11`)
* `Linux(:armv7l, libc=:glibc, call_abi=:eabihf, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`armv7l-linux-gnueabihf-cxx03`)
* `Linux(:armv7l, libc=:glibc, call_abi=:eabihf, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`armv7l-linux-gnueabihf-cxx11`)
* `Linux(:armv7l, libc=:musl, call_abi=:eabihf, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`armv7l-linux-musleabihf-cxx03`)
* `Linux(:armv7l, libc=:musl, call_abi=:eabihf, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`armv7l-linux-musleabihf-cxx11`)
* `Linux(:i686, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`i686-linux-gnu-cxx03`)
* `Linux(:i686, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`i686-linux-gnu-cxx11`)
* `Linux(:i686, libc=:musl, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`i686-linux-musl-cxx03`)
* `Linux(:i686, libc=:musl, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`i686-linux-musl-cxx11`)
* `Windows(:i686, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`i686-w64-mingw32-cxx03`)
* `Windows(:i686, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`i686-w64-mingw32-cxx11`)
* `Linux(:powerpc64le, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`powerpc64le-linux-gnu-cxx03`)
* `Linux(:powerpc64le, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`powerpc64le-linux-gnu-cxx11`)
* `MacOS(:x86_64, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`x86_64-apple-darwin14-cxx03`)
* `MacOS(:x86_64, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`x86_64-apple-darwin14-cxx11`)
* `Linux(:x86_64, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`x86_64-linux-gnu-cxx03`)
* `Linux(:x86_64, libc=:glibc, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`x86_64-linux-gnu-cxx11`)
* `Linux(:x86_64, libc=:musl, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`x86_64-linux-musl-cxx03`)
* `Linux(:x86_64, libc=:musl, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`x86_64-linux-musl-cxx11`)
* `FreeBSD(:x86_64, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`x86_64-unknown-freebsd11.1-cxx03`)
* `FreeBSD(:x86_64, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`x86_64-unknown-freebsd11.1-cxx11`)
* `Windows(:x86_64, compiler_abi=CompilerABI(cxxstring_abi=:cxx03))` (`x86_64-w64-mingw32-cxx03`)
* `Windows(:x86_64, compiler_abi=CompilerABI(cxxstring_abi=:cxx11))` (`x86_64-w64-mingw32-cxx11`)

## Dependencies

The following JLL packages are required by `mlpack_jll.jl`:

* [`OpenBLAS_jll`](https://github.com/JuliaBinaryWrappers/OpenBLAS_jll.jl)
* [`armadillo_jll`](https://github.com/JuliaBinaryWrappers/armadillo_jll.jl)
* [`boost_jll`](https://github.com/JuliaBinaryWrappers/boost_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libmlpack`
* `LibraryProduct`: `libmlpack_julia_adaboost`
* `LibraryProduct`: `libmlpack_julia_approx_kfn`
* `LibraryProduct`: `libmlpack_julia_cf`
* `LibraryProduct`: `libmlpack_julia_dbscan`
* `LibraryProduct`: `libmlpack_julia_decision_stump`
* `LibraryProduct`: `libmlpack_julia_decision_tree`
* `LibraryProduct`: `libmlpack_julia_det`
* `LibraryProduct`: `libmlpack_julia_emst`
* `LibraryProduct`: `libmlpack_julia_fastmks`
* `LibraryProduct`: `libmlpack_julia_gmm_generate`
* `LibraryProduct`: `libmlpack_julia_gmm_probability`
* `LibraryProduct`: `libmlpack_julia_gmm_train`
* `LibraryProduct`: `libmlpack_julia_hmm_generate`
* `LibraryProduct`: `libmlpack_julia_hmm_loglik`
* `LibraryProduct`: `libmlpack_julia_hmm_train`
* `LibraryProduct`: `libmlpack_julia_hmm_viterbi`
* `LibraryProduct`: `libmlpack_julia_hoeffding_tree`
* `LibraryProduct`: `libmlpack_julia_image_converter`
* `LibraryProduct`: `libmlpack_julia_kernel_pca`
* `LibraryProduct`: `libmlpack_julia_kfn`
* `LibraryProduct`: `libmlpack_julia_kmeans`
* `LibraryProduct`: `libmlpack_julia_knn`
* `LibraryProduct`: `libmlpack_julia_krann`
* `LibraryProduct`: `libmlpack_julia_lars`
* `LibraryProduct`: `libmlpack_julia_linear_regression`
* `LibraryProduct`: `libmlpack_julia_linear_svm`
* `LibraryProduct`: `libmlpack_julia_lmnn`
* `LibraryProduct`: `libmlpack_julia_local_coordinate_coding`
* `LibraryProduct`: `libmlpack_julia_logistic_regression`
* `LibraryProduct`: `libmlpack_julia_lsh`
* `LibraryProduct`: `libmlpack_julia_mean_shift`
* `LibraryProduct`: `libmlpack_julia_nbc`
* `LibraryProduct`: `libmlpack_julia_nca`
* `LibraryProduct`: `libmlpack_julia_nmf`
* `LibraryProduct`: `libmlpack_julia_pca`
* `LibraryProduct`: `libmlpack_julia_perceptron`
* `LibraryProduct`: `libmlpack_julia_preprocess_binarize`
* `LibraryProduct`: `libmlpack_julia_preprocess_describe`
* `LibraryProduct`: `libmlpack_julia_preprocess_scale`
* `LibraryProduct`: `libmlpack_julia_preprocess_split`
* `LibraryProduct`: `libmlpack_julia_radical`
* `LibraryProduct`: `libmlpack_julia_random_forest`
* `LibraryProduct`: `libmlpack_julia_softmax_regression`
* `LibraryProduct`: `libmlpack_julia_sparse_coding`
* `LibraryProduct`: `libmlpack_julia_util`
